summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes2011-12-18 07:55:42 +0100
committer Robby Workman2011-12-18 07:55:42 +0100
commit113aa6511bf896f1c2999076deffc4992514e488 (patch)
treef80c2331edc2225988747145509e0b8d16d5f3d0
parent2edd4d3645c7387a68ad8b200328092389aab4f2 (diff)
downloadslackbuilds-113aa6511bf896f1c2999076deffc4992514e488.tar.gz
audio/jost_bin: Added (audio host plugin - binary repackaging)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--audio/jost_bin/README9
-rw-r--r--audio/jost_bin/jost_bin.SlackBuild45
-rw-r--r--audio/jost_bin/jost_bin.info10
-rw-r--r--audio/jost_bin/slack-desc19
4 files changed, 83 insertions, 0 deletions
diff --git a/audio/jost_bin/README b/audio/jost_bin/README
new file mode 100644
index 0000000000..a8c8b287b9
--- /dev/null
+++ b/audio/jost_bin/README
@@ -0,0 +1,9 @@
+JOST is a audio host application for plugins that can be used as plugin itself,
+or be compiled as a cross bridge between multiple audio plugin technologies...
+It is the first open source multi-technology (internal, native vst, ladspa,
+dssi) host in linux. It will mainly host a chain of plugins per instance,
+publishing jack, alsa, and alsa_seq ports in order to be connected in your main
+stream flow. It is actually under heavy development, but it still has some
+very good features that make it a first class host.
+
+This requires jack-audio-connection-kit (runtime only).
diff --git a/audio/jost_bin/jost_bin.SlackBuild b/audio/jost_bin/jost_bin.SlackBuild
new file mode 100644
index 0000000000..d382e8393f
--- /dev/null
+++ b/audio/jost_bin/jost_bin.SlackBuild
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Slackware build script for <jost>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=jost_bin
+VERSION=${VERSION:-0.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i486 # Hardcoded: we don't compile.
+SRCNAM=jost
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$SRCNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/${SRCNAM}-v$VERSION.tar.bz2
+cd $SRCNAM-v$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/{bin,lib}
+cp -p $TMP/$SRCNAM-v$VERSION/$SRCNAM $PKG/usr/bin
+cp -p $TMP/$SRCNAM-v$VERSION/${SRCNAM}vst.so $PKG/usr/lib
+
+mkdir -p $PKG/usr/doc/$SRCNAM-$VERSION
+cat readme.txt > $PKG/usr/doc/$SRCNAM-$VERSION/readme.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$SRCNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/jost_bin/jost_bin.info b/audio/jost_bin/jost_bin.info
new file mode 100644
index 0000000000..8a4cd143b6
--- /dev/null
+++ b/audio/jost_bin/jost_bin.info
@@ -0,0 +1,10 @@
+PRGNAM="jost_bin"
+VERSION="0.5.4"
+HOMEPAGE="http://anticore.org/jucetice"
+DOWNLOAD="http://www.anticore.org/jucetice/wp-content/uploads/jost-v0.5.4.tar.bz2"
+MD5SUM="b1e1efe941d157d0f89e29bc0c5f07a7"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/jost_bin/slack-desc b/audio/jost_bin/slack-desc
new file mode 100644
index 0000000000..af768235d5
--- /dev/null
+++ b/audio/jost_bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jost-bin: jost-bin (audio host plugin - binary repackaging)
+jost-bin:
+jost-bin: JOST is a audio host application for plugins that can be used as a
+jost-bin: plugin itself or be compiled as a cross bridge between multiple audio
+jost-bin: plugin technologies... It is the first open source multi-technology
+jost-bin: (internal, native vst, ladspa, dssi) host in linux. It will mainly
+jost-bin: host a chain of plugins per instance, publishing jack, alsa, and
+jost-bin: alsa_seq ports in order to be connected in your main stream flow.
+jost-bin: It is actually under heavy development, but it still has some very
+jost-bin: good features that make it a first class host.
+jost-bin: